petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatDenseGetColumn

gives access to a column of a dense matrix. This is only the local part of the column. You MUST call MatDenseRestoreColumn() to avoid memory bleeding.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetColumn(Mat A,PetscInt col,PetscScalar **vals)

Not Collective

### Input Parameter

| mat | - a MATSEQDENSE or MATMPIDENSE matrix
| col | - column index

### Output Parameter

vals -pointer to the data

### See Also

MatDenseRestoreColumn()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Examples

src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html

### Implementations

MatDenseGetColumn_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetColumn_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages